Vue.filter("unixToDate",function(unix,format){
    if (!unix) return unix
    var _format = format || 'yyyy-MM-dd hh:mm:ss'
    var d = new Date(unix * 1000)
    var o = {
        'M+': d.getMonth() + 1,
        'd+': d.getDate(),
        'h+': d.getHours(),
        'm+': d.getMinutes(),
        's+': d.getSeconds(),
        'q+': Math.floor((d.getMonth() + 3) / 3),
        S: d.getMilliseconds()
    }
    if (/(y+)/.test(_format)) _format = _format.replace(RegExp.$1, (d.getFullYear() + '').substr(4 - RegExp.$1.length))
    for (const k in o) if (new RegExp('(' + k + ')').test(_format)) _format = _format.replace(RegExp.$1, (RegExp.$1.length === 1) ? (o[k]) : (('00' + o[k]).substr(('' + o[k]).length)))
    return _format
})
Vue.filter("unixToDate13",function(unix,format){
    if (!unix) return unix
    var _format = format || 'yyyy-MM-dd hh:mm:ss'
    var d = new Date(unix)
    var o = {
        'M+': d.getMonth() + 1,
        'd+': d.getDate(),
        'h+': d.getHours(),
        'm+': d.getMinutes(),
        's+': d.getSeconds(),
        'q+': Math.floor((d.getMonth() + 3) / 3),
        S: d.getMilliseconds()
    }
    if (/(y+)/.test(_format)) _format = _format.replace(RegExp.$1, (d.getFullYear() + '').substr(4 - RegExp.$1.length))
    for (const k in o) if (new RegExp('(' + k + ')').test(_format)) _format = _format.replace(RegExp.$1, (RegExp.$1.length === 1) ? (o[k]) : (('00' + o[k]).substr(('' + o[k]).length)))
    return _format
})
Vue.filter("statusToText",function(status,type,time,comment){
        if(type=="300"){
            time=time*1000;
            var t=new Date().getTime();
            if(time<t){return"已过期"}
        }
        if(status=="CONFIRM"&&type=="200"){
            return "待付款"
        }
        if(status=="COMPLETE"&&type=="300"){
            return "已预约"
        }
        if(status=="COMPLETE"&&comment=='UNFINISHED'){
            return "待评价"
        }
        if(status=="COMPLETE"&&comment=='FINISHED'){
            return "已完成"
        }
    switch (status) {
        case 'CONFIRM': return "待处理"
        case 'SHIPPED': return "待付款"
        case 'NEW': return "已接单"
        case "ROG": return "待收货"
    }
})
Vue.filter("toType",function(status){
    switch (status) {
        case 100: return "服务类订单"
        case 200: return "商品类订单"
        case 300: return "预约类订单"
    }
})
Vue.filter("dealName",function(name){
    var str;
    var appear=name.slice(0,1)
    var dis="";
    for(var i=0;i<name.length-1;i++){
        dis+="*"
    }
    str=appear+dis
    return str
})

Vue.filter("numFilter",function(value){
    if(!value){
        return '0.00'
    }
    var val=parseFloat(value).toFixed(2)
    return val
})
