(function(root){
  // var REMOTE_URL=root.REMOTE_URL="http://api.buyer.f2clife.com/"
  var REMOTE_URL=root.REMOTE_URL={
      buyer:"http://api.buyer.cnwatercloud.com/",
      base:"http://api.base.cnwatercloud.com/",
    //   buyer:'http://192.168.3.19:7002/',
    //   base:'http://192.168.3.19:7000/',
      wt:"http://web.cnwatercloud.com:8089/",
      wtA:"http://www.cnwatercloud.com/",
    // wtA:"http://192.168.3.239:8086/",
    //   wt:"http://192.168.3.118/",
      sq: 'http://47.94.85.216:7002/',
  }
  var ajax=function(obj){
    var defaultParam={
      method:"get",
      headers:{},
      baseUrl:REMOTE_URL.buyer,
      data:{},
      fCallback:function(err){
          console.log(JSON.stringify(err))
          api.toast({
              msg: err.body.message,
              duration: 2000,
              location: 'middle'
          });

      }
    }
    var options=extendDeepCopy(defaultParam,obj)
    var is_put_post = options.method === 'put' || options.method == 'post';
    var is_json = options.headers['Content-Type'] == 'application/json';
    var is_file = options.headers['Content-Type'] === 'multipart/form-data';
    if (is_put_post && is_json) {
    //   options.data = JSON.stringify(options.data)
    //   console.log(options.data)
    }
    var uuid=$api.getStorage("uuid");
    options.headers['uuid'] = uuid;
    var accessToken = getValue('access_token')
    if (accessToken && options.needToken) {
      //  options.data.uid = Storage.getItem('uid')
      //  options.data.nonce = Foundation.randomString(6)
      //  options.data.timestamp = parseInt(new Date().getTime() / 1000)
      //  options.data.sign = md5(uid + nonce + timestamp + accessToken)
      options.headers["Authorization"]=accessToken;
      console.log(accessToken)
    }
    if(options.url.indexOf('passport/token') !== -1 || options.third ){
      request(options)
    }else{
      checkToken(options,request)
    // request(options)
    }
  }
  function checkToken(options,callback){
    //   console.log(new Date().getTime())
    //   console.log($api.getStorage("access_token").deadline)
    var user=$api.getStorage("user");
    var accessToken=getValue("access_token");

    var refreshToken=getValue("refresh_token");
    // console.log(refreshToken)
    /**
    * 如果accessToken、user、refreshToken都存在。
    * 说明必要条件都存在，可以直接通过，并且不需要后续操作。
    */
    if(accessToken && user && refreshToken){
      callback(options)
      return
    }
    /**
    * 如果需要Token，但是refreshToken或者user没有。
    * 说明登录已失效、或者cookie有问题，需要重新登录。
    */
    if (options.needToken && (!refreshToken)){
    //   $api.rmStorage('user');
      $api.rmStorage('access_token');
      $api.rmStorage('refresh_token');

      callback(options)
      return
    }
    /**
    * 如果不需要Token，并且没有。
    * 但是如果有refreshToken或user，说明只是Token过期。需要到下一步去获取新的Token
    * 但是有accessToken并且有，说明
    */
    if(!options.needToken && !accessToken && (!user || !refreshToken)){
      callback(options)
      return
    }
    /**
    * 不存在accessToken，但是user/refreshToken存在。
    * 说明用户已登录，只是accessToken过期，需要重新获取accessToken。
    * 如果没有needToken，说明不需要等待获取到新的accessToken后再请求。
    * 否则，需要等待
    */
    if (!accessToken && refreshToken) {
        console.log("accessToken已过期")
      if (!window.__refreshTokenLock__) {
        // console.log(options.url + ' | 检测到accessToken失效，这个请求需要等待刷新token。')
        // 如果不需要Token，则不需要等拿到新的Token再请求。
        if (!options.needToken) {callback(options);return}
        // 开始请求新的Token，并加锁。
        window.__refreshTokenLock__ = ajax({
          url: "passport/token",
          method: 'post',
          headers: { uuid: $api.getStorage('uuid') },
          data: { refresh_token: refreshToken },
          sCallback:function(res){
            setValue("access_token",res.accessToken,1600);
            setValue("refresh_token",res.refreshToken);
            var accessToken=getValue("access_token")
            options.headers["Authorization"]=accessToken
            console.log("重设成功")
            callback(options);
          },
          fCallback:function(err){
            window.__refreshTokenLock__ = undefined
            console.log(JSON.stringify(err))
            // $api.rmStorage("user");
            $api.rmStorage("access_token");
            $api.rmStorage("refresh_token");
            loginAgain()
            // $api.clearStorage();
            // $api.setStorage('uuid', getUuid());
            //     api.openWin("login_win")
          }
        })
      }else{
        if (!options.needToken) {
          // console.log(options.url + ' | 不需要Token，直接通过...')
          callback(options)
          return
        }
        checkLock()
        function checkLock() {
        setTimeout(() => {
          var __RTK__ = window.__refreshTokenLock__
          // console.log(options.url + ' | 是否已拿到新的token：', __RTK__ === null)
          if (__RTK__ === undefined) {
            // console.log('登录已失效了，不用再等待了...')
            $api.rmStorage('user');
            $api.rmStorage('access_token');
            $api.rmStorage('refresh_token');
            location.reload()
            return
          }
          __RTK__ === null
          ? callback(options)
          : checkLock()
        }, 500)
        }
      } return
    }
    callback(options)
  }
  function request(obj){
      /*是否为水表相关接口*/
      var data={};
      data={values:obj.data};
      if(obj.body){
          data={body:obj.data};
      }
      if(obj.loading){
          api.showProgress({
              style: 'default',
              animationType: 'fade',
              title: '努力加载中...'
          });
      }
    if(obj.third){
        obj.headers={}
    }
    if(obj.file){
        data.files={file:obj.file}
    }
    // console.log(JSON.stringify(obj))
    api.ajax({
      url:obj.baseUrl+obj.url,
      method:obj.method,
      headers:obj.headers,
      dataType:obj.dataType,
      data:data
    },function(ret,err){
        if(obj.loading){
            api.hideProgress();
        }
      if(ret){
        if(obj.sCallback){
          obj.sCallback(ret)
        }

      }else{
          if(err.statusCode=="200" || err.body.statusCode=="200"){
              obj.sCallback(err)
              return
          }
        if(obj.fCallback){
          obj.fCallback(err)
        }
      }
    })
  }
  /*重新登陆*/
  function loginAgain() {
    console.log($api.getStorage('user').mobile);
    api.ajax({
      url: REMOTE_URL.buyer+'passport/login',
      method: 'get',
      data: {
        values: {
          username: $api.getStorage('user').mobile,
          password: '96e79218965eb72c92a549dd5a330112',
          uuid: $api.getStorage('uuid')
        }
      }
    }, function (ret, err) {
      if (ret) {
        var access_token = ret.access_token;
        var refresh_token = ret.refresh_token;
        setValue("access_token", access_token, 1800);
        setValue("refresh_token", refresh_token)
      } else {
        console.log(JSON.stringify(err))
      }
    });
  }
  /*随机生成指定长度的字符串*/
  function randomString(length) {
      const chars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789'
      const maxPos = chars.length
      let _string = ''
      for (let i = 0; i < length; i++) {
          _string += chars.charAt(Math.floor(Math.random() * maxPos))
      }
      return _string
  }
  /*深拷贝（用户配置覆盖默认配置）*/
  function extendDeepCopy(newobj,obj){
  var newobj=newobj||{};
  for(var i in obj){
    if(typeof obj[i]=='object'){
        if(obj[i]==null){
            newobj[i]=""
            continue
        }
      newobj[i]=(obj[i].constructor== Array)?[]:{};
      console.log(JSON.stringify(newobj[i]))
      extendDeepCopy(newobj[i],obj[i]);
    }else{
      newobj[i]=obj[i];
    }
  }
  return newobj;
  }
  function extend(){
  var target = arguments[0] ||{};   //arguments[0]  false  null  undefined
  var length = arguments.length;
  var i = 1;
  var deep = false;    //默认为浅拷贝
  var option;
  var name;
  var copy;
  var src;
  var copyIsArray;
  var clone;

  if( typeof target === "boolean" ) {   //$.extend(true,obj,result);
  deep = target;
  target = arguments[1];   // target  不改变他的引用
  i = 2;
  }

  if( typeof target !== "object" ) {
  target = {};
  }

  //参数1   实例扩展  本身扩展
  if( length == i ) {
  target = this;
  i--;   //0
  }

  //参数2以上   任意对象扩展 (arguments[0])  1  $.extend(obj,result);
  for( ;i<length; i++ ) {
      if(( option = arguments[i] ) !== null ) {
      for( name in option ) {
          src = target[name];   // obj.list
          copy = option[name];
          //result.age   result.sex  result.list
          //deep true 深拷贝
          if( deep && (jQuery.isPlainObject(copy) || (copyIsArray = jQuery.isArray(copy)) ) ) {
          if( copyIsArray ) {   //true 被拷贝的值是个数组 []
              copyIsArray = false;
              clone = src && jQuery.isArray(src) ? src : [];
          } else {   // 被拷贝的值是个对象 {}
            clone = src && jQuery.isPlainObject(src) ? src : {};
          }
          target[name] = jQuery.extend( deep, clone, copy  );
          } else if( copy !== undefined ){
          target[name] = copy ;    //age  sex  list
          }
      }
      }
  }
  return target;
  }
  root.ajax=ajax
})(this)
