var service={
    /*获取图片验证码*/
    getValidateCodeUrl:function(uuid,type){
        console.log(REMOTE_URL.base+'captchas/'+uuid+'/'+type+'?r='+new Date().getTime())
        if (!uuid || !type) return ''

        return REMOTE_URL.base+'captchas/'+uuid+'/'+type+'?r='+new Date().getTime()
    },
    /*发送短信注册验证码*/
    sendRegisterSms:function(mobile,captcha,sCallback,fCallback){
        ajax({
            url:"passport/register/smscode/"+mobile,
            method:"post",
            data:{
                captcha:captcha,
                uuid:$api.getStorage("uuid")
            },
            sCallback:sCallback,
            fCallback:fCallback
        })
    },
    /*验证手机验证码*/
    validMobileSms:function(mobile,scene,sms_code,sCallback,fCallback){
        ajax({
            url:"passport/smscode/"+mobile,
            data:{
                scene:scene,
                sms_code:sms_code,
            },
            sCallback:sCallback,
            fCallback:fCallback
        })
    },
    /*发送修改密码或手机号验证码*/
    sendMobileSms:function(uuid,captcha,callback){
        ajax({
            url:"members/security/send",
            method:"post",
            needToken:"true",
            data:{
                uuid:uuid,
                captcha:captcha
            },
            sCallback:callback
        })
    },
    /*验证更改密码手机短信*/
    validChangePasswordSms:function(sms_code,callback){
        ajax({
            url:"members/security/password",
            needToken:true,
            data:{sms_code:sms_code},
            sCallback:callback
        })
    },
    /*修改手机密码*/
    changePassword:function(params,callback){
        var data=params;
        data.password=hex_md5(params.password)
        ajax({
            url:"members/security/password",
            method:"put",
            needToken:true,
            data:data,
            sCallback:callback
        })
    },
    /*确认收货*/
    confirmReceipt:function(sn,callback){
        ajax({
            url:"trade/orders/"+sn+"/rog",
            method:"post",
            needToken:true,
            data:{order_sn:sn},
            sCallback:callback
        })
    },
    /*保存用户信息*/
    saveUserInfo:function(data,callback){
        ajax({
            url:"members",
            method:"put",
            needToken:true,
            data:data,
            sCallback:callback
        })
    },
    /*手机注册*/
    registerByMobile:function(mobile,password,callback){
        ajax({
            url:"passport/register/wap",
            method:"post",
            data:{
                mobile:mobile,
                password:hex_md5(password)
            },
            sCallback:callback
        })
    },
    /*账号密码登录*/
    login:function(params,scallback){
        var data = JSON.parse(JSON.stringify(params))
        data.password=hex_md5(params.password)
        data.uuid=$api.getStorage("uuid")
        ajax({
            url:"passport/login",
            data:data,
            loading:true,
            sCallback:scallback
        })
    },
    /*获取店铺基本信息*/
    getShopInfo:function(shop_id,callback){
        ajax({
            url:"shops/"+shop_id,
            sCallback:callback
        })
    },
    /*获取用户信息*/
    getUserInfo:function(callback) {
        ajax({
            url: 'members',
            needToken: true,
            sCallback:callback
        })
    },
    getOpenId:function(params,callback) {
        ajax({
            url: 'members/openid',
            data:params,
            needToken: true,
            sCallback:callback
        })
    },
    /*记录登录信息*/
    uploadLoginInfo:function (params,callback){
        ajax({
            url: 'members/login_info',
            method:"post",
            data:params,
            needToken: true,
            sCallback:callback
        })
    },
    /*获取租客列表*/
    getTenantList:function(callback){
        ajax({
            url: 'members/tenant',
            needToken: true,
            sCallback:callback
        })
    },
    /*添加租客*/
    addTenant:function(phone,callback){
        ajax({
            url: 'members/tenant',
            method:'post',
            data:{tenant_mobile:phone},
            needToken: true,
            sCallback:callback
        })
    },
    /*删除租客*/
    delTenant:function(phone,callback){
        ajax({
            url: 'members/tenant/'+phone,
            method:'delete',
            data:{tenant_mobile:phone},
            needToken: true,
            sCallback:callback
        })
    },
    /*将消息设置为已读*/
    newsToRead:function(id,callback){
        ajax({
            url:"members/member-nocice-logs/"+id+"/read",
            needToken:true,
            loading:true,
            sCallback:callback,
            method:"put"
        })
    },
    YHSendLoginSms:function(mobile,captcha,sCallback,fCallback){
        var obj={captcha:captcha,uuid:$api.getStorage('uuid'),mobile:mobile}
        ajax({
            url: 'passport/yunzhihui/login/smscode/'+mobile,
            method:"post",
            data: obj,
            sCallback:sCallback,
            fCallback:fCallback
        })
    },
    /*发送用户登录手机验证码*/
    sendLoginSms:function(mobile, captcha,sCallback,fCallback) {
        var obj={captcha:captcha,uuid:$api.getStorage('uuid')}
        ajax({
            url: 'passport/login/smscode/'+mobile,
            method:"post",
            data: obj,
            sCallback:sCallback,
            fCallback:fCallback
        })
    },
    /*获取社区商户*/
    getShopList:function(id,callback){
        ajax({
            url:"community/data/shoplist",
            data:{
                community_id:id
            },
            sCallback:callback
        })
    },
    /*手机号码登录（新）*/
    YHLoginByMobile:function(mobile,sms_code,name,sCallback){
        ajax({
            url:"passport/yunzhihui/login/"+mobile,
            data:{
                sms_code:sms_code,
                nice_name:name,
                mobile:mobile,
                uuid:$api.getStorage("uuid")
            },
            method:"post",
            loading:true,
            sCallback:sCallback
        })
    },
    /*获取商品评论*/
    getComments:function(goods_id,params,callback){
        ajax({
            url:"members/comments/goods/"+goods_id,
            data:params,
            sCallback:callback
        })
    },
    /*手机号码登录*/
    loginByMobile:function(mobile,sms_code,sCallback){
        ajax({
            url:"passport/login/"+mobile,
            headers:{"Content-Type":"application/json"},
            data:{
                sms_code:sms_code
            },
            loading:true,
            sCallback:sCallback
        })

    },
    /*获取商品分类数据*/
    getCategory:function(sCallback){
        ajax({
            url:"goods/categories/0/children",
            data:{
                parent_id:0
            },
            needToken:true,
            sCallback:sCallback
        })
    },
    /*获取服务列表*/
    getServiceList2:function(params,callback){
        ajax({
            url:"goods/search",
            data:params,
            loading:true,
            sCallback:callback
        })
    },
    /*获取站内消息*/
    getWebNews:function(params,callback){
        ajax({
            url:"members/member-nocice-logs",
            data:params,
            needToken:true,
            loading:true,
            sCallback:callback
        })
    },
    /*获取服务列表*/
    getServiceList:function(params,callback){
        ajax({
            url:"community/data",
            data:params,
            method:"post",
            loading:true,
            sCallback:callback
        })
    },
    /*根据社区id获取社区模式（精简版/功能版）*/
    getCommunityStatus:function(id,callback){
        ajax({
            url:"community/status/"+id,
            data:{community_id:id},
            loading:true,
            dataType:"text",
            sCallback:callback
        })
    },
    /*服务详情*/
    getServiceDetail:function(goods_id,callback){
        ajax({
            url:"goods/"+goods_id,
            data:{
                goods_id:goods_id
            },
            sCallback:callback
        })
    },
    /*获取商品sku*/
    getGoodsSkus:function(goods_id,callback){
        ajax({
            url:"goods/"+goods_id+"/skus",
            sCallback:callback
        })
    },
    /*预约上门*/
    orderService:function(params,callback){
        ajax({
            url:"trade/carts/buy",
            method:"post",
            needToken:true,
            data:params,
            loading:true,
            sCallback:callback
        })
    },
    /*热搜关键字*/
    getHotKeywords:function(num,callback){
        ajax({
            url:"pages/hot-keywords",
            data:{
                num:num
            },
            sCallback:callback
        })
    },
    /*获取首页焦点图*/
    getFocusPictures:function(callback){
        ajax({
            url:"focus-pictures",
            method:"GET",
            data:{
                client_type:'WAP'
            },
            sCallback:callback
        })
    },
    /*修改支付方式*/
    setPaymentType:function(payment_type,callback){
        ajax({
            url:"trade/checkout-params/payment-type",
            method:"post",
            needToken:"true",
            data:{
                payment_type:payment_type
            },
            sCallback:callback
        })
    },
    /*创建订单*/
    createOrder:function(data,callback){
        ajax({
            url:"trade/create",
            data:data,
            method:"post",
            needToken:true,
            loading:true,
            sCallback:callback
        })
    },
    /*getCard*/
    getCarts:function(show_type,callback){
        ajax({
            url:"trade/carts/"+show_type,
            needToken:true,
            sCallback:callback
        })
    },
    /*获取订单列表*/
    getOrderList:function(params,callback){
        ajax({
            url:"trade/orders",
            loading:true,
            method:"get",
            needToken:true,
            data:params,
            sCallback:callback
        })
    },
    /*收藏商品*/
    collectGoods:function(goods_id,callback){
        ajax({
            url:"members/collection/goods",
            method:"post",
            needToken:true,
            data:{
                goods_id:goods_id
            },
            sCallback:callback
        })
    },
    /*取消收藏商品*/
    deleteGoodsCollect:function(id,callback){
        if (Array.isArray(id)) {id = id.join(',')};
        ajax({
            url:"members/collection/goods/"+id,
            method:"delete",
            needToken:true,
            data:{
                goods_id:id
            },
            sCallback:callback
        })
    },
    /*获取商品收藏状态*/
    getGoodsIsCollect:function(goods_id,callback){
        ajax({
            url:"members/collection/goods/"+goods_id,
            method:"get",
            needToken:true,
            sCallback:callback
        })
    },
    /*获取商品收藏列表*/
    getGoodsCollectList:function(data,callback){
        ajax({
            url:"members/collection/goods/",
            method:"get",
            needToken:true,
            sCallback:callback,
            data:data
        })
    },
    /*获取首页推荐商品*/
    getIndexServiceList2:function(params,callback){
        ajax({
            url:"goods/search/homepage",
            data:params,
            sCallback:callback
        })
    },
    getIndexServiceList:function(params,callback){
        ajax({
            url:"community/data/homepage",
            data:params,
            sCallback:callback
        })
    },
    /*获取首页商品分类*/
    getCategory:function(id,callback){
        ajax({
            url:"goods/categories/"+id+"/children",
            data:{parent_id:0},
            sCallback:callback
        })
    },
    /*获取订单详情*/
    getOrderDetail:function(order_sn,callback){
        ajax({
            url:"trade/orders/"+order_sn,
            needToken:true,
            sCallback:callback
        })
    },
    /*查询支持的支付方式*/
    getPayType:function(client_type,callback){
        ajax({
            url:"order/pay/"+client_type,
            data:{
                client_type:client_type
            },
            needToken:true,
            sCallback:callback
        })
    },
    /*设置备注信息*/
    setRemark:function(remark,callback){
        ajax({
            url:"trade/checkout-params/remark",
            method:"post",
            needToken:true,
            data:{
                remark:remark
            },
            sCallback:callback
        })
    },
    /*发起支付*/
    pay:function(params,callback){
        ajax({
            url:"order/pay/app/"+params.trade_type+"/"+params.sn,
            data:params,
            dataType:"text",
            needToken:true,
            sCallback:callback
        })
    },
    /*退出登录*/
    logout:function(callback){
        ajax({
            url:"members/logout",
            method:"post",
            needToken:"true",
            loading:true,
            sCallback:callback
        })
    },
    getPaymentList:function(callback){
        ajax({
            url:"order/pay/NATIVE",
            needToken:"true",
            loading:true,
            sCallback:callback
        })
    },
    wtApi:{
        bindMobile:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wt,
                url:"weixinMVC/login/loginzhanghao",
                data:params,
                sCallback:callback
            })
        },
        messageCode:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wt,
                url:"weixinMVC/login/messageCode",
                data:params,
                sCallback:callback
            })
        },
        getNotice1:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wtA,
                url:"watercloud/wxpayconfig/communityBulletin",
                sCallback:callback,
            })
        },
        /*获取公告列表(新)*/
        getNotice: function(orgcd,callback){
            ajax({
                url: "watercloud/sqgl/selsqgl",
                baseUrl: REMOTE_URL.wtA,
                method: "get",
                data:{orgcd:orgcd},
                sCallback: callback
            })
        },
        /*获取指定文章详情(新)*/
        getNoticeDetail: function(id,callback){
            ajax({
                url: 'watercloud/sqgl/selsqglcontent',
                baseUrl: REMOTE_URL.wtA,
                method: 'get',
                data: {connuityid:id},
                sCallback: callback
            });
        },
        /*获取用户物业费等信息 data:{phone:手机号,yearMonth:月份，orgCd:所属机构}*/
        getAmount:function(data,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wtA,
                url:"watercloud/property/getAmount",
                data:data,
                sCallback:callback
            })
        },
        /*根据orgcd获取水表列表*/
        getMetersByOrg:function(data,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wtA,
                url:"watercloud/property/getUseWaterData",
                data:data,
                sCallback:callback
            })
        },
        getUser:function(phone,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wt,
                url:"weixinMVC/login/checkAppPhone",
                data:{phone:phone},
                sCallback:callback,
            })
        },
        /*获取缴费余额 params:{openid,mpCd}*/
        getselWatermeter:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wt,
                url:"weixinMVC/paycost/selWatermeter",
                data:params,
                sCallback:callback,
                loading:true
            })
        },
        getBalance:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wt,
                url:"weixinMVC/utillInfo/selkehuapp",
                data:params,
                sCallback:callback,
                loading:true
            })
        },
        getPayType:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wtA,
                url:"watercloud/wxpayconfig/selWxOrZfb",
                data:params,
                sCallback:callback,
                loading:true
            })
        },
        payWater:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wtA,
                url:"watercloud/wxPay/water",
                data:params,
                sCallback:callback,
                loading:true
            })
        },
        getPayData:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wtA,
                url:"watercloud/yzhAppPay/water",
                data:params,
                sCallback:callback,
                loading:true
            })
        },
        getMeterList:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wt,
                url:"weixinMVC/bill/selwatertype",
                data:params,
                sCallback:callback,
                loading:true
            })
        },
        /*缴费记录查询*/
        getPayHistory:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wt,
                url:"weixinMVC/payHistory/selHistoryPay",
                data:params,
                sCallback:callback,
                loading:true
            })
        },
        /*账单查询*/
        getBills:function(params,callback){
            ajax({
                third:true,
                baseUrl:REMOTE_URL.wt,
                url:"weixinMVC/bill/selSumWater",
                data:params,
                sCallback:callback,
                loading:true
            })
        }
    },
    /*获取动态列表(社区)*/
    getTrendsList: function(params,callback){
        ajax({
            url: "api/wotai/list",
            baseUrl:REMOTE_URL.sq,
            method: "get",
            needToken: true,
            data: params,
            sCallback: callback
        })
    },
    /*发表动态(社区)*/
    publicTrends: function(params,callback){
        ajax({
            url: "api/wotai/add_update",
            baseUrl:REMOTE_URL.sq,
            method: "post",
            needToken: true,
            data: params,
            sCallback: callback
        })
    },
    /*我的动态(社区)*/
    getMyTrends: function(params,callback){
        ajax({
            url: "api/wotai/member_list",
            baseUrl: REMOTE_URL.sq,
            method: "get",
            needToken: true,
            data: params,
            sCallback: callback
        })
    },
    /*图片上传(社区)*/
    uploadImage: function(params,file,callback){
        ajax({
            url: "uploaders",
            baseUrl: REMOTE_URL.base,
            method: "post",
            needToken: true,
            data: params,
            file: file,
            sCallback: callback
        })
    },
    /*获取社区公告列表*/
    getNoticeList: function(type,callback){
        ajax({
            url: "pages/article-categories/"+type+"/articles",
            baseUrl: 'http://47.94.85.216:7000/',
            method: "get",
            needToken: true,
            sCallback: callback
        })
    },
    /*获取指定文章详情*/
    getArticleDetail: function(id,callback){
        ajax({
            url: 'pages/articles/'+id,/*?page_no=1&page_size=10&category_id=*/
            method: 'get',
            value: true,
            data: {},
            baseUrl: "http://47.94.85.216:7000/",
            needToken: true,
            sCallback: callback
        });
    },
    /*获取订单结算数据*/
    getCheckoutParams:function(callback){
        ajax({
            url:"trade/checkout-params",
            needToken:true,
            sCallback:callback
        })
    },
    /*设置收获地址id*/
    setAddressId:function(address_id,callback){
        ajax({
            url:"trade/checkout-params/address-id/"+address_id,
            method:"post",
            needToken:"true",
            sCallback:callback
        })
    },
    /*获取某个地址详情*/
    getAddressDetail:function(id,callback){
        ajax({
            url:"members/address/"+id,
            needToken:true,
            sCallabck:callback
        })
    },
    /*添加地址详情*/
    addAddress:function(data,callback){
        ajax({
            url:"members/address",
            method:"post",
            needToken:true,
            data:data,
            sCallback:callback
        })
    },
    /*修改地址详情*/
    editAddress:function(id,data,callback){
        ajax({
            url:"members/address/"+id,
            method:"put",
            needToken:true,
            data:data,
            sCallback:callback
        })
    },
    /*商品评价*/
    commentsOrder:function(params,callback,fCallback){
        ajax({
            url:"members/comments",
            body:true,
            needToken:true,
            headers:{
                "Content-Type":"application/json"
            },
            method:"post",
            data:params,
            sCallback:callback,
            fCallback:fCallback
        })
    },
    /*订单支付成功*/
    paySucc:function(sn,callback){
        ajax({
            url:"order/pay/app/"+sn,
            data:{sn:sn},
            needToken:true,
            loading:true,
            sCallback:callback
        })
    }
}
